# encoding: KSC5601
# This file is encoded in KS C 5601.
die "This file is not encoded in KS C 5601.\n" if q{} ne "\xa4\xa2";

use strict;
use KSC5601;

my @pattern = (
    [1, q{' ' =~ / /xx}],
    [1, q{'A' =~ / /xx}],
    [1, q{''  =~ / /xx}],
    [1, q{' ' =~ /[\ ]/xx}],
    [1, q{' ' =~ /[ \  ]/xx}],
    [0, q{" " =~ /[ - ]/xx}],
    [0, q{" " =~ /[- ]/xx}],
    [0, q{" " =~ /[ -]/xx}],
    [0, q{" " =~ /[-]/xx}],
    [1, q{" " =~ /[\ - ]/xx}],
    [1, q{" " =~ /[ -\ ]/xx}],
    [1, q{" " =~ /[\ -\ ]/xx}],
    [1, q{" " =~ /[-\ ]/xx}],
    [1, q{" " =~ /[\ -]/xx}],
    [0, q{"	" =~ /[ - ]/xx}],
    [0, q{"	" =~ /[- ]/xx}],
    [0, q{"	" =~ /[ -]/xx}],
    [0, q{"	" =~ /[-]/xx}],
    [0, q{"	" =~ /[\ - ]/xx}],
    [0, q{"	" =~ /[ -\ ]/xx}],
    [0, q{"	" =~ /[\ -\ ]/xx}],
    [0, q{"	" =~ /[-\ ]/xx}],
    [0, q{"	" =~ /[\ -]/xx}],
    [1, q{"-" =~ /[ - ]/xx}],
    [1, q{"-" =~ /[- ]/xx}],
    [1, q{"-" =~ /[ -]/xx}],
    [1, q{"-" =~ /[-]/xx}],
    [1, q{"-" =~ /[\ - ]/xx}],
    [1, q{"-" =~ /[ -\ ]/xx}],
    [0, q{"-" =~ /[\ -\ ]/xx}],
    [1, q{"-" =~ /[-\ ]/xx}],
    [1, q{"-" =~ /[\ -]/xx}],
    [0, q{" " =~ /[	-	]/xx}],
    [0, q{" " =~ /[-	]/xx}],
    [0, q{" " =~ /[	-]/xx}],
    [0, q{" " =~ /[-]/xx}],
    [0, q{" " =~ /[\	-	]/xx}],
    [0, q{" " =~ /[	-\	]/xx}],
    [0, q{" " =~ /[\	-\	]/xx}],
    [0, q{" " =~ /[-\	]/xx}],
    [0, q{" " =~ /[\	-]/xx}],
    [0, q{"	" =~ /[	-	]/xx}],
    [0, q{"	" =~ /[-	]/xx}],
    [0, q{"	" =~ /[	-]/xx}],
    [0, q{"	" =~ /[-]/xx}],
    [1, q{"	" =~ /[\	-	]/xx}],
    [1, q{"	" =~ /[	-\	]/xx}],
    [1, q{"	" =~ /[\	-\	]/xx}],
    [1, q{"	" =~ /[-\	]/xx}],
    [1, q{"	" =~ /[\	-]/xx}],
    [1, q{"-" =~ /[	-	]/xx}],
    [1, q{"-" =~ /[-	]/xx}],
    [1, q{"-" =~ /[	-]/xx}],
    [1, q{"-" =~ /[-]/xx}],
    [1, q{"-" =~ /[\	-	]/xx}],
    [1, q{"-" =~ /[	-\	]/xx}],
    [0, q{"-" =~ /[\	-\	]/xx}],
    [1, q{"-" =~ /[-\	]/xx}],
    [1, q{"-" =~ /[\	-]/xx}],
    [0, q{" " =~ /[---]/xx}],
    [0, q{" " =~ /[--]/xx}],
    [0, q{" " =~ /[-]/xx}],
    [0, q{" " =~ /[\---]/xx}],
    [0, q{" " =~ /[--\-]/xx}],
    [0, q{" " =~ /[\--\-]/xx}],
    [0, q{" " =~ /[-\-]/xx}],
    [0, q{" " =~ /[\--]/xx}],
    [0, q{"	" =~ /[---]/xx}],
    [0, q{"	" =~ /[--]/xx}],
    [0, q{"	" =~ /[-]/xx}],
    [0, q{"	" =~ /[\---]/xx}],
    [0, q{"	" =~ /[--\-]/xx}],
    [0, q{"	" =~ /[\--\-]/xx}],
    [0, q{"	" =~ /[-\-]/xx}],
    [0, q{"	" =~ /[\--]/xx}],
    [1, q{"-" =~ /[---]/xx}],
    [1, q{"-" =~ /[--]/xx}],
    [1, q{"-" =~ /[-]/xx}],
    [1, q{"-" =~ /[\---]/xx}],
    [1, q{"-" =~ /[--\-]/xx}],
    [1, q{"-" =~ /[\--\-]/xx}],
    [1, q{"-" =~ /[-\-]/xx}],
    [1, q{"-" =~ /[\--]/xx}],
    [1, q{" " =~ /[ 	^ 	 - ]/xx}],
    [1, q{" " =~ /[ 	^ 	- ]/xx}],
    [1, q{" " =~ /[ 	^ 	 -]/xx}],
    [1, q{" " =~ /[ 	^ 	-]/xx}],
    [0, q{" " =~ /[ 	^ 	\ - ]/xx}],
    [0, q{" " =~ /[ 	^ 	 -\ ]/xx}],
    [0, q{" " =~ /[ 	^ 	\ -\ ]/xx}],
    [0, q{" " =~ /[ 	^ 	-\ ]/xx}],
    [0, q{" " =~ /[ 	^ 	\ -]/xx}],
    [1, q{"	" =~ /[ 	^ 	 - ]/xx}],
    [1, q{"	" =~ /[ 	^ 	- ]/xx}],
    [1, q{"	" =~ /[ 	^ 	 -]/xx}],
    [1, q{"	" =~ /[ 	^ 	-]/xx}],
    [1, q{"	" =~ /[ 	^ 	\ - ]/xx}],
    [1, q{"	" =~ /[ 	^ 	 -\ ]/xx}],
    [1, q{"	" =~ /[ 	^ 	\ -\ ]/xx}],
    [1, q{"	" =~ /[ 	^ 	-\ ]/xx}],
    [1, q{"	" =~ /[ 	^ 	\ -]/xx}],
    [0, q{"-" =~ /[ 	^ 	 - ]/xx}],
    [0, q{"-" =~ /[ 	^ 	- ]/xx}],
    [0, q{"-" =~ /[ 	^ 	 -]/xx}],
    [0, q{"-" =~ /[ 	^ 	-]/xx}],
    [0, q{"-" =~ /[ 	^ 	\ - ]/xx}],
    [0, q{"-" =~ /[ 	^ 	 -\ ]/xx}],
    [1, q{"-" =~ /[ 	^ 	\ -\ ]/xx}],
    [0, q{"-" =~ /[ 	^ 	-\ ]/xx}],
    [0, q{"-" =~ /[ 	^ 	\ -]/xx}],
    [1, q{" " =~ /[ 	^ 		-	]/xx}],
    [1, q{" " =~ /[ 	^ 	-	]/xx}],
    [1, q{" " =~ /[ 	^ 		-]/xx}],
    [1, q{" " =~ /[ 	^ 	-]/xx}],
    [1, q{" " =~ /[ 	^ 	\	-	]/xx}],
    [1, q{" " =~ /[ 	^ 		-\	]/xx}],
    [1, q{" " =~ /[ 	^ 	\	-\	]/xx}],
    [1, q{" " =~ /[ 	^ 	-\	]/xx}],
    [1, q{" " =~ /[ 	^ 	\	-]/xx}],
    [1, q{"	" =~ /[ 	^ 		-	]/xx}],
    [1, q{"	" =~ /[ 	^ 	-	]/xx}],
    [1, q{"	" =~ /[ 	^ 		-]/xx}],
    [1, q{"	" =~ /[ 	^ 	-]/xx}],
    [0, q{"	" =~ /[ 	^ 	\	-	]/xx}],
    [0, q{"	" =~ /[ 	^ 		-\	]/xx}],
    [0, q{"	" =~ /[ 	^ 	\	-\	]/xx}],
    [0, q{"	" =~ /[ 	^ 	-\	]/xx}],
    [0, q{"	" =~ /[ 	^ 	\	-]/xx}],
    [0, q{"-" =~ /[ 	^ 		-	]/xx}],
    [0, q{"-" =~ /[ 	^ 	-	]/xx}],
    [0, q{"-" =~ /[ 	^ 		-]/xx}],
    [0, q{"-" =~ /[ 	^ 	-]/xx}],
    [0, q{"-" =~ /[ 	^ 	\	-	]/xx}],
    [0, q{"-" =~ /[ 	^ 		-\	]/xx}],
    [1, q{"-" =~ /[ 	^ 	\	-\	]/xx}],
    [0, q{"-" =~ /[ 	^ 	-\	]/xx}],
    [0, q{"-" =~ /[ 	^ 	\	-]/xx}],
    [1, q{" " =~ /[ 	^ 	---]/xx}],
    [1, q{" " =~ /[ 	^ 	--]/xx}],
    [1, q{" " =~ /[ 	^ 	-]/xx}],
    [1, q{" " =~ /[ 	^ 	\---]/xx}],
    [1, q{" " =~ /[ 	^ 	--\-]/xx}],
    [1, q{" " =~ /[ 	^ 	\--\-]/xx}],
    [1, q{" " =~ /[ 	^ 	-\-]/xx}],
    [1, q{" " =~ /[ 	^ 	\--]/xx}],
    [1, q{"	" =~ /[ 	^ 	---]/xx}],
    [1, q{"	" =~ /[ 	^ 	--]/xx}],
    [1, q{"	" =~ /[ 	^ 	-]/xx}],
    [1, q{"	" =~ /[ 	^ 	\---]/xx}],
    [1, q{"	" =~ /[ 	^ 	--\-]/xx}],
    [1, q{"	" =~ /[ 	^ 	\--\-]/xx}],
    [1, q{"	" =~ /[ 	^ 	-\-]/xx}],
    [1, q{"	" =~ /[ 	^ 	\--]/xx}],
    [0, q{"-" =~ /[ 	^ 	---]/xx}],
    [0, q{"-" =~ /[ 	^ 	--]/xx}],
    [0, q{"-" =~ /[ 	^ 	-]/xx}],
    [0, q{"-" =~ /[ 	^ 	\---]/xx}],
    [0, q{"-" =~ /[ 	^ 	--\-]/xx}],
    [0, q{"-" =~ /[ 	^ 	\--\-]/xx}],
    [0, q{"-" =~ /[ 	^ 	-\-]/xx}],
    [0, q{"-" =~ /[ 	^ 	\--]/xx}],
);

printf("1..%d\n", scalar(@pattern));

if ($] < 5.026) {
    for my $tno (1..scalar(@pattern)) {
        print "ok $tno - SKIP $^X/$]\n";
    }
    exit;
}

my $tno = 1;
for my $pattern (@pattern) {
    my($want, $todo) = @{$pattern};
    local $@;
    my $got = eval $todo;
    if ($got == $want) {
        printf("ok $tno - [%01d, %s],\n", $got+0, qq{q{$todo}});
    }
    else {
        printf("not ok $tno - [%01d, %s],\n", $got+0, qq{q{$todo}});
    }
    $tno++;
}

__END__
